Skip to content
GET /real-estate-developer

List real estate developers

Description

Get a list of real estate developers in UAE by emirate. Returns developer profiles and their projects.

Parameters

Name Type Required Description Example
location string Optional - Emirate to list developers from - Options: `dubai`, `abu-dhabi`, `sharjah`, `ajman`, `ras-al-khaimah`, `fujairah`, `umm-al-quwain`, `al-ain` - Default: `dubai` dubai
page string Optional - Page number for pagination - Default: `1` - Examples: `1`, `2`, `3` 1

Code Examples

curl --request GET \
  --url 'https://propertyfinder-uae-data.p.rapidapi.com/real-estate-developer' \
  --header 'x-rapidapi-host: propertyfinder-uae-data.p.rapidapi.com' \
  --header 'x-rapidapi-key: YOUR_API_KEY'

Example Response

Response
{
  "success": true,
  "data": [
    {
      "name": "Emaar Properties",
      "description": "

Emaar, a real estate giant founded in 1997...

", "established_since": "1997-01-03T00:00:00Z", "num_projects_online": 212, "id": "79ca4333-9975-4672-b05f-bb7329de75e9", "logo_url": "https://new-projects-media.propertyfinder.com/developer/logo.png", "slug": "emaar-properties" } ] }

Try this endpoint now

Subscribe to PropertyfinderAPI on RapidAPI and start making requests in minutes.